#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define LINE_SIZE 100

int read_double(double *value, int coef_index) {
    char line[LINE_SIZE];
    if (fgets(line, LINE_SIZE, stdin) == NULL) {
        return 0; 
    }
    line[strcspn(line, "\r\n")] = 0;
    
    if (strlen(line) == 0) {
        return 0;
    }
    
    char *endptr;
    *value = strtod(line, &endptr);
    
    if (endptr == line || *endptr != '\0') {
        printf("Nepodarilo sa nacitat polynom na %d mieste.\n", coef_index);
        return -1;  
    }
    return 1;
}

int main() {
    double x;
    if (!read_double(&x, 1)) {
        return 1;
    }

    double coef;
    double result = 0;
    int coef_count = 0;

    while (1) {
        int status = read_double(&coef, coef_count + 2);
        if (status == -1) {
            return 0;  
        }
        if (status == 0) {
            if (coef_count == 0) {
                return 1;
            }
            break;
        }
        result = result * x + coef;
        coef_count++;
    }

    printf("Vysledok je: %.2f\n", result);
    return 0;
}